# PSF-LoginServer - master - net.psforever.objects.avatar.BattleRank.BR20
PSF - LoginServer - master - net.psforever.objects.avatar.BattleRank.BR20
Keywords: PSF LoginServer master net.psforever.objects.avatar.BattleRank.BR20

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
-  case object BattleRank extends IntEnum[BattleRank] with Product with Serializable
  Definition Classes
    avatar
- BR1
- BR10
- BR11
- BR12
- BR13
- BR14
- BR15
- BR16
- BR17
- BR18
- BR19
- BR2
- BR20
- BR21
- BR22
- BR23
- BR24
- BR25
- BR3
- BR4
- BR5
- BR6
- BR7
- BR8
- BR9

o

net.psforever.objects.avatar.BattleRank

# BR20

###

#### case object BR20 extends BattleRank with Product with Serializable

Source
  BattleRank.scala

Linear Supertypes
Serializable, Product, Equals, BattleRank, IntEnumEntry, ValueEnumEntry[Int], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BR20
2. Serializable
3. Product
4. Equals
5. BattleRank
6. IntEnumEntry
7. ValueEnumEntry
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  val experience: Long
   Definition Classes
     BattleRank
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def implantSlots: Int
    Definition Classes
      BattleRank
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def productElementName(n: Int): String
    Definition Classes
      Product
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def uniformStyle: packet.game.objectcreate.UniformStyle.Value
    Definition Classes
      BattleRank
20.  val value: Int
    Definition Classes
      BattleRank → ValueEnumEntry
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from BattleRank

### Inherited from IntEnumEntry

### Inherited from ValueEnumEntry[Int]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped